2008-05-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #525241 (EPluginUI)

	* e-msg-composer.c (msg_composer_destroy), (msg_composer_init):
	Rip out the EMenu logic.

	* e-msg-composer.c (msg_composer_init):
	Register the GtkUIManager with EPluginUI.

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424744

	* e-composer-private.c:
	* e-composer-private.h:
	* e-msg-composer.c:
	Use camel-iconv.c instead of e-iconv.h (now deprecated).

2008-04-28  Matthew Barnes  <mbarnes@redhat.com>

	* e-composer-actions.c (action_send_options_cb):
	Fix a typo in the EError tag.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	* gconf-bridge.c:
	* gconf-bridge.h:
	Move these files to e-util.

	* Makefile.am:
	* e-composer-private.h:
	Adapt.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* e-msg-composer.h: (e_msg_composer_guess_mime_type):
	* e-msg-composer.c: (e_msg_composer_guess_mime_type), (handle_uri),
	(e_msg_composer_add_inline_image_from_file):
	Use shared e_util_guess_mime_type instead of its own.

2008-04-14  Matthew Barnes  <mbarnes@redhat.com>

	* e-composer-autosave.c (e_composer_autosave_unregister):
	Remove some unused variables.

2008-04-11  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #517134

	* e-composer-actions.c: (action_attach_cb): Save some CPU cycles. 
	* e-composer-private.c: (composer_setup_charset_menu),
	(composer_setup_recent_menu), (e_composer_private_init): Extend the
	'Insert' menu to show a "Recent Documents" submenu (to quickly add
	them as attachments). 
	* evolution-composer.ui: Added a placeholder to dock the "Recent
	Documents" menu. 

2008-04-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #523413

	* e-msg-composer.c (msg_composer_dispose):
	Use the 'application_exiting' private flag to determine whether
	to tell e_composer_autosave_unregister() to delete the autosave
	file.

	* e-msg-composer.c (msg_composer_class_init),
	(e_msg_composer_save_draft):
	Remove the 'quit' parameter from the 'save-draft' signal.

	* e-msg-composer.c (e_msg_composer_request_close_all):
	Take an autosave snapshot before activating the CLOSE action,
	and set the private 'application_exiting' flag.  This should
	avoid prompting the user before shutting down.

	* e-composer-actions.c (action_close_cb):
	When electing to save a message before closing, hide the window
	immediately.  The callback function can then check the window's
	visibility after the save is complete to know whether to destroy
	the window.

	* e-composer-autosave.c (e_composer_autosave_unregister):
	Add a 'delete_file' boolean parameter to determine whether to
	delete the autosave file.

	* e-composer-private.h:
	Add an 'application_exiting' flag.

2008-04-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #525966

	* e-composer-actions.c (action_close_cb):
	Fix a boolean error in detecting unsaved changes.

2008-04-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #328146

	* e-composer-actions.c:
	Fix missing and conflicting mnemonics.

2008-04-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #526152

	* e-msg-composer.c:
	* e-composer-private.h:
	Initialize a new composer's spell checking language menu via
	our new "spell_languages" GConf key.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	** Adapt to GtkHTML's new editor widget.

	* Makefile.am:
	Remove CORBA rules for the old composer.

	* e-msg-composer.c:
	* e-msg-composer.h:
	EMsgComposer is now a subclass of GtkhtmlEditor.
	Extensive refactoring and cleanup, too much to list in detail.

	* e-composer-header.c:
	* e-composer-header.h:
	Add "sensitive" property along with get/set functions.

	* e-composer-from-header.c:
	* e-composer-from-header.h:
	Propagate "refreshed" signal from EAccountComboBox.
	Add function e_composer_from_header_get_account_list().

	* e-composer-private.c:
	* e-composer-private.h:
	New files manage composer's private data.
	Allows other composer files to manipulate private data.

	* e-msg-composer-hdrs.c:
	* e-msg-composer-hdrs.h:
	Remove these files; replaced by EComposerHeaderTable widget.

	* evolution-composer.c:
	* evolution-composer.h:
	Remove these files; composer is now a subclass of GtkhtmlEditor.

	* e-msg-composer-select-file.c:
	* e-msg-composer-select-file.h:
	Remove these files; logic moved to e-msg-composer.c.

	* listener.c:
	* listener.h:
	Remove these files; event handlers moved to e-msg-composer.c.

	* Composer.idl:
	* Evolution-Composer.idl:
	Remove these files; composer is no longer a Bonobo object.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* e-msg-composer.c (autosave_manager_query_load_orphans),
	(autosave_init_file):
	Use e_get_user_data_dir() instead of constructing the full path.

	* e-msg-composer.c (e_msg-composer_unrealize),
	(e_msg_composer_set_view_from), (e_msg_composer_set_view_replyto),
	(e_msg_composer_set_view_to), (e_msg_composer_set_view_postto),
	(e_msg_composer_set_view_cc), (e_msg_composer_set_view_bcc):
	Emit warnings if saving to GConf fails.

2008-02-25  Johny Jacob  <jjohnny@novell.com>

	* e-msg-composer.c (e_msg_composer_show_sig_file): Reverting
	commit for #371011.
	
2008-02-20  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* e-msg-composer.c: (drop_action):
	Fixing previous fix - do not double free.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* e-msg-composer.c: (drop_action): Memory leak fix.

2008-01-25  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #371011
	
	* e-msg-composer.c (e_msg_composer_show_sig_file): Insert a new 
	paragraph for signature.

2008-01-25  Johnny Jacob  <jjohnny@novell.com>
 
	** Fixes bug #503327 & #503678
	
 	* e-msg-composer.c (e_msg_composer_get_raw_message_text): Return
 	GByteArray instead of gchar*
 
2008-01-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #509124

	* e-msg-composer.c (e_msg_composer_get_message_print),
	(e_msg_composer_get_message_draft):
	Check result of build_message() for NULL before proceeding.

2008-01-14  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #502783
	** Patch from <nickspoon0@gmail.com>

	* e-msg-composer.c: (e_msg_composer_new_with_message): Restore states 
	of 'Request Read Receipt' and 'Prioritize Message' when opening a
	draft message. 

2008-01-06  Michael Monreal  <michael.monreal@gmx.net>

	** Fix for bug #492188

	* e-msg-composer.c:

	Use the new Tangoized icons instead of deprecated icons from 
	gnome-icon-theme.

2008-01-02  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #364642

	* e-msg-composer.c: (create_composer): Preset "Request Read Receipt"
	based on gconf key "/apps/evolution/mail/composer/request_receipt".

2007-12-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* e-msg-composer.c:
	* e-msg-composer-hdrs.h:
	* e-msg-composer-hdrs.c:
	Move signature handling to e-msg-composer-hdrs.c.
	Use an ESignatureComboBox.

	* e-composer-from-header.h:
	* e-composer-from-header.c:
	Clean up the GtkHBox hack.  The signature combo is now packed
	directly into the GtkTable.

	* e-composer-name-header.c:
	* e-composer-text-header.c:
	Code cleanup.

2007-11-29  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #271551

	* e-msg-composer.h: (e_msg_composer_set_attach_path),
	(e_msg_composer_get_attach_path):
	* e-msg-composer.c: (e_msg_composer_set_attach_path),
	(e_msg_composer_get_attach_path):
	Functions to set/get attach path to both composer and editor.
	* e-msg-composer.c: (prepare_engine):
	Set last used path right after creation of the engine.
	* e-msg-composer-select-file.c: (get_selector), (select_file_response),
	(select_attach_response): Using new functions.
	* listener.c: (impl_event): Store new file path when received event
	about its change.

	* e-msg-composer.c: (set_signature_gui): Leak fix.

2007-11-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* Makefile.am:
	Add a bunch of files for managing composer headers.

	* e-msg-composer.c (build_message), (from_changed_cb),
	(set_editor_signature), (e_msg_composer_set_body),
	(e_msg_composer_get_preferred_account):
	Use e_msg_composer_hdrs_get_from_account() to obtain the EAccount.

	* e-msg-composer-hdrs.c:
	* e-msg-composer-hdrs.h:
	Massive refactoring to use new EComposerHeader classes.

	* e-composer-header.c:
	* e-composer-header.h:
	* e-composer-from-header.c:
	* e-composer-from-header.h:
	* e-composer-name-header.c:
	* e-composer-name-header.h:
	* e-composer-post-header.c:
	* e-composer-post-header.h:
	* e-composer-text-header.c:
	* e-composer-text-header.h:
	New GObject classes manage different types of composer headers.
	See bug #495123 for a more detailed description of each class.

2007-11-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #318592

	* e-msg-composer.h: (e_msg_composer_link_clicked):
	* e-msg-composer.c: (e_msg_composer_link_clicked):
	Helper function to response on editor's "link_clicked" event.
	* listener.c: (impl_event): Call helper function on that event.

2007-11-01  Matthew Barnes  <mbarnes@redhat.com>

	* e-msg-composer.c (e_msg_composer_set_body_text):
	Don't compare a character pointer to a string literal.

2007-10-31  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer.c: Remove one more unused header.

2007-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer-hdrs.c: Remove unneeded include

2007-10-25  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer.c:
	* e-msg-composer.h:
	* listener.c: 
	Warning fixes.
	- NULL vs. 0
	- ANSIfication of declarations
	- mixing code and declarations

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #412360

	* e-msg-composer-hdrs.c: (entry_query_tooltip):
	New callback to query tooltip over GtkEntry.
	* e-msg-composer-hdrs.c: (connect_entry_for_tooltip):
	New function to connect GtkEntry to previous function and let it works.
	* e-msg-composer-hdrs.c: (create_addressbook_entry), (create_headers):
	Connect entries for tooltips.

2007-10-03  Matthew Barnes  <mbarnes@redhat.com>

	* e-msg-cmposer.c:
	Remove the entry_pixcache array to silence the run-time warnings
	when opening a new composer window.  The composer seems to work
	fine without them; not sure why it was needed in the first place.

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* e-msg-composer.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* e-msg-composer-select-file.c:
	* e-msg-composer.c:
	Use standard icon names where applicable.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476231

	* e-msg-composer-select-file.c:
	Remove non-USE_GTKFILECHOOSER code.
	GtkFileChooser has been around since 2004.

2007-09-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476040

	* e-msg-composer.c:
	* e-msg-composer-attachment-bar.c:
	Use "mail-attachment" icon instead of "stock_attach".
	Use "mail-attachment" icon for unknown attachment types.

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* e-msg-composer.c: (handle_multipart_encrypted):
	Fixes serious compiler warning.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 (Move away from asserts to g_ret*)

	* e-msg-composer-hdrs.c: (setup_name_selector),
	(create_from_optionmenu), (e_msg_composer_hdrs_get_recipients):
	* e-msg-composer.c: (menu_edit_cut_cb), (menu_edit_copy_cb),
	(menu_edit_paste_cb), (menu_edit_select_all_cb),
	(update_auto_recipients), (composer_entry_focus_out_event_cb):

2007-08-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #355766

	* e-msg-composer.[ch] (e_msg_composer_get_message_print):
	New function overrides composer flags for printing.
	Patch by Mayank Jain.

2007-08-23  Sankar P  <psankar@novell.com>

	* Committed on behalf of Raghavendran <raghavguru7@gmail.com>

	** Fix for bug #328405

	* e-msg-composer.c: (e_msg_composer_show_sig_file):
	A signature will be attached when redirecting an email.
	Fixes that issue.

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #350539

	* e-msg-composer-attachment.c: (e_msg_composer_attachment_edit):
	* e-msg-composer-attachment-bar.c: (update), (attach_to_multipart):
	* e-msg-composer.c: (add_attachments_handle_mime_part),
	(handle_multipart_signed), (handle_multipart_alternative),
	(handle_multipart):
	Ensures non-NULL part.

2007-08-10  Johnny Jacob  <jjohnny@novell.com>
	
	* Modified and committed on behalf of Sankar P  <psankar@novell.com>
	
	** Fixes #462138
	
	* e-msg-composer.c: (set_editor_text):	Signature on top does not work if 
	no signature is set as default.

2007-08-02  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #462332

	* e-msg-composer.c: Handle _NETSCAPE_URL correctly.
	Suppress many warnings.
	Remove unused e_msg_composer_show_attachments().

2007-08-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for downstream bug from openSUSE (bnc #271045)

	* e-msg-composer.c: (do_exit): When exitting, close after the message
	was saved.

2007-07-16  Sankar P  <psankar@novell.com>

	* e-msg-composer.c: (set_editor_text):
	Provide option to keep signature on top,
	while replying. Outlook users need it. 

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>


	* e-msg-composer.h: Fix for build break

2007-07-09  Johnny Jacob  <jjohnny@novell.com>	
	
	* e-msg-composer.h : Added prototypes for
	e_msg_composer_get_raw_message_text and
	e_msg_composer_get_attachment_bar
	
2007-07-08  Johnny Jacob  <jjohnny@novell.com>

	* e-msg-composer.c : (e_msg_composer_get_raw_message_text ) Added.
	(e_msg_composer_get_attachment_bar) : Added. Returns the reference
	to the attachment bar.
	
2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #444107

	* e-msg-composer.c: (drop_action), (drop_popup_copy),
	(drop_popup_move), (drag_data_received):

2007-06-13  Bastien Nocera  <hadess@hadess.net>

	* e-msg-composer.c: (composer_key_pressed): Use the
	proper object to send the signal on (Closes: #442631)

2007-06-13  Sankar P  <psankar@novell.com>

	* e-msg-composer.c: (composer_key_pressed):
	Fixes build break. Includes a missing header.
	Fixes an invalid variable name.
	See #442631

2007-06-12  Bastien Nocera  <hadess@hadess.net>

	* e-msg-composer.c: (composer_key_pressed):
	Add support for the XF86Send multimedia key
	(Closes: #442631)

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes
	
	* e-msg-composer.c: (e_msg_composer_show_help):

2007-06-01  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #315012 from Pascal Terjan

	* e-msg-composer.c: (handle_multipart_signed),
	(handle_multipart_encrypted), (handle_multipart_alternative),
	(handle_multipart), (e_msg_composer_new_with_message): Pass mime part
	instead of multipart to camel_cipher_decryp

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* e-msg-composer-hdrs.c (init), (e_msg_composer_hdrs_new):
	Use g_object_ref_sink() instead of gtk_object_sink().

2007-04-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #356523 from Martin Olsson

	* e-msg-composer.c: (e_msg_composer_add_inline_image_from_file): Copies 
	the file uri and decodes it before trying to attach the image.

2007-04-05  Sankar P  <psankar@novell.com>

	* Patch committed on behalf of Paul Iadonisi <pri.gnome-bz@iadonisi.to>

	* e-msg-composer-hdrs.c: (create_from_optionmenu):
	Show only enabled accounts on composer.
	Look at bug #243241

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* e-msg-composer-select-file.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* e-msg-composer.c: Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* e-msg-composer-hdrs (header_new_recipient):
	* e-msg-composer.c (e_msg_composer_show_help), (drop_action):
	Remove unused variables.

2007-02-26  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #401546

	mail-composer.error.xml: Added a new error in case if send options
	is not supported by a provider and user tries to use it.
	
2007-02-26  Sankar P  <psankar@novell.com>

	* e-msg-composer.c: (autosave_manager_query_load_orphans),
	(autosave_init_file): 
	Use ~/.evolution as the auto-save location.
	
	* Patch pushed upstream from Red Hat 
	by Matthew Barnes <mbarnes@redhat.com>	

	* Fixes #336612

2007-02-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #343943

	* e-msg-composer.c: (composer_key_pressed): Removes the extra tab in
	the composer window.

2007-01-25 Raghavendran <raghavguru7@gmail.com>

	**Fixes bug #343943
	* e-msg-composer.c:Added code for tab sequence to go from
	  BCC into Body.

2007-01-18  Raghavendran R<raghavguru7@gmail.com>
	* e-msg-composer.[c,h]:
	  (e_msg_composer_modify_header): ,
	  (e_msg_composer_remove_header):
	  Added code for modifying and removing camel
	  mime message header .
	  (menu_send_options_cb):Creates and emits the event
	   when send options is clicked . 	

2006-08-24  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #261062
	* mail-composer.error.xml: Translator comments added.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #351332

	* e-msg-composer.c: Fix implicit function declarations.

2006-08-06  Andre Klapper <a9016009@gmx.de>

	* e-msg-composer.c: close an html tag properly. Fixes bug #350154.

2006-07-20  Devashish Sharma   <sdevashish@novell.com>

	** Fixes bug 273921
	* e-msg-composer-hdrs.c: Set the index number which indicates the
	destination list (To or CC or BCC).

2006-07-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for memory leak in bug #209254

	* e-msg-composer.c: (e_msg_composer_show_help), (init): Used constant
	string for help.

2006-07-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #209254
	
	* e-msg-composer.c: (destroy): Check the memory corruption due to
	previous commit.	

2006-07-14  Arvind <sa.phoenix@gmail.com>

	** Fixes bug #209254
	
	* e-msg-composer.c: (menu_help_cb), (destroy),
	(e_msg_composer_show_help), (init): initiated help when clicked 
	help menu

2006-06-12  Parthasarathi Susarla <sparthasarathi@novell.com>

	Fixes bug #177416 on bnc

	* e-msg-composer.c (attachment_guess_mime_type): initialise type
	to "" and not NULL.

2006-05-26  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (drop_action): If 'str' is empty, continue
	immediately rather than trying to parse it as a URL.

2006-05-25  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (drop_action): Instead of g_free()ing 'str' in
	the if and else blocks, just g_free it after the if-else block.

	* e-msg-composer-select-file.c (select_attach_response): Replace
	'if (!filename)' with 'if (filename)', fixes a bug in Srini's
	patch.

	* e-msg-composer-hdrs.c (header_new_recipient): Set the visible
	field to FALSE.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	* e-msg-composer-select-file.c (get_selector),
	(select_attach_response): Added support to attach from remote
	shares

	* e-msg-composer.c (add_to_bar, drop_action): Added support to
	attach from remote shares

2006-03-09  Sam Yang  <sam.yang@sun.com>

	** Fixes #333971

	* e-msg-composer.c (e_msg_composer_insert_paragraph_after): Remove
	text-default-color command that resets customized text color to
	default, so stops composer color combo from receiving signal to
	refresh color preview when inserting a new line.

2006-04-24  Srinivasa Ragavan  <sragavan@novell.com>

	Adding support for ENameSelectorList in composer. It is a enhanced
	version of Name Selector, which provides a list view to the entry
	data.

	* e-msg-composer-hdrs.c (create_addressbook_entry),
	(header_new_recipient, attach_couple): Added ENameSelectorList to
	composer.

2006-04-05  Simon Zheng  <simon.zheng@sun.com>

	** Fixes bug #333213

	* e-msg-composer.c (best_encoding): According to POSIX.1
	specfication, if iconv() encounts non-identical characters, it'll
	return the number of non-identical conversation performed. i.e.
	returning positive value means exception as well as -1.

2006-03-20  Boby Wang <boby.wang@sun.com>

	** Fix for bug #268584
	
	* e-msg-composer-attachment.glade:
	* e-msg-composer-select-file.c (get_selector):
	set the accelerate key for "Suggest Suggest automatic display of
	attachment"

2006-02-16  Rohini S  <srohini@novell.com>

	** Fixes bug #324742

	* e-msg-composer.c (drop_action, attachment_guess_mime_type):
	Modified to add images in plain text mode and other files in both
	html and plain text mode as attachment during DnD.

2006-02-16  Tor Lillqvist  <tml@novell.com>

	* e-msg-composer-hdrs.c (e_msg_composer_hdrs_get_to)
	(e_msg_composer_hdrs_get_cc, e_msg_composer_hdrs_get_bcc): Return
	a value... Why are blatant errors like this just warnings in gcc?

2006-02-09  Frederic Crozat  <fcrozat@mandriva.com>

	* e-msg-composer-hdrs.c (e_msg_composer_hdrs_get_internal),
	(e_msg_composer_hdrs_get_to, e_msg_composer_hdrs_get_cc),
	(e_msg_composer_hdrs_get_bcc): Factorize some code.

2006-02-07  Andre Klapper <a9016009@gmx.de>

	* mail-composer.error.xml: fixing a patch to again fix 325276.

2006-01-24  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer-hdrs.c (account_removed_cb),
	(header_new_recipient): Use guint for 1 bit bitfield, use
	g_slist_delete_link instead of g_slist_remove_link+g_slist_free1,
	Remove some unused vars.

	* e-msg-composer.c (build_message, set_editor_text),
	(autosave_manager_query_load_orphans),
	(e_msg_composer_new_with_message): Remove unused vars and rename
	a local variable with a name clash.

	* evolution-composer.c (evolution_composer_init): Remove unused var

	* listener.c: Remove stray semi colon.

2006-1-13  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes bug #323127

	* e-msg-composer.c (create_composer): Add a Expander for
	attachments bar.
	(show_attachments): Show/Hide attachment bar.
	(attachment_expander_activate_cb): Event handler for attachment
	bar.

2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #326378
	
	* mail-composer.error.xml: Added mnemonics to Recover, Do not Recover
	buttons in composer.

2005-12-21 Rohini S <srohini@novell.com>

	** See bug #246237

	* e-msg-composer.c (create_composer):
	(subject_changed_cb): Modified to change window title to "Compose
	Message"

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* e-msg-composer-hdrs.h: use libedataserver/e-account.h 
	instead of e-util/e-account.h.

	* evolution-composer.c: use libedataserver/e-account-list.h 
	instead of e-util/e-account-list.h.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* e-msg-composer.c:
	* e-msg-composer-attachment.c: Include <gtk/gtk.h> instead of
	attempting to hand-pick individual GTK headers. Use gstdio
	wrappers. Use GDir instead of dirent. Use g_mkstemp() instead of
	mkstemp(). Construct xml file names at run-time.

	* e-msg-composer.c (autosave_manager_unregister): Close file
	before unlinking so we don't leave stray autosave files laying
	around on Win32.

2005-11-23  Johnny Jacob <johnnyjacob@gmail.com>
	
	** See Bug # 246245

	* e-msg-composer-select-file.c
	(e_msg_composer_select_file_attachments): Changed the title
	caption from "Attach file(s)" to "Insert Attachment".

2005-12-07  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-msg-composer.[ch]:
	(build_message):
	(menu_insert_priority_cb):
	(setup_ui):
	(e_msg_composer_get_priority):
	(e_msg_composer_set_priority): Add support for setting priority of
	a message.

2005-12-05  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #322863

	* e-msg-composer.c (e_msg_composer_new_with_message): Check if the
	account indeed exists before freeing/duping it.  The account would
	typically not exist, when redirecting mails originated from other
	accounts which are not configured in ones machine.

2005-11-26  Tor Lillqvist  <tml@novell.com>

	* e-msg-composer-attachment.c: Include e-util-private.h to get
	redefinition of compile-time pathnames as calls to functions on
	Windows. Construct the pathnames of files and directories under
	the installation prefix at run-time to enable install-anywhere on
	Windows. No effect on functionality on Unix.

2005-10-22  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-msg-composer.c (get_file_content): use composer->priv->charset
	instead of p->charset. This fixes a crash

2005-10-21 Vivek Jain <jvivek@novell.com>
	
	Comitted NotZed's patch given on #314701
	
	** See bug #314701.

	* e-msg-composer-hdrs.c (get_account_store_url): don't dereference
	a null url or create an empty one.

2005-10-19  Philip Van Hoof <pvanhoof@gnome.org>

	* composer/e-msg-composer-select-file.c,
	* composer/e-msg-composer.c, composer/e-msg-composer.h,
	* composer/evolution-composer.c, composer/listener.c,
	* mail/em-composer-utils.c,
	* plugins/mailing-list-actions/mailing-list-actions.c:
	data hiding
	
2005-10-05  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	Reverting the last commit

2005-10-05  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #315987

	* e-msg-composer-hdrs.c (create_from_optionmenu): Load the account
	info in the From header only if the account is enabled

2005-10-04  Srinivasa Ragavan <sragavan@novell.com>

	** fixes bug #316937
	
	* e-msg-composer.c (handle_mailto): Shows the attachments
	when added via a mailto: url.
	
2005-09-29  Parthasarathi Susarla <sparthasarathi@novell.com>

	** See bug 317337

	* e-msg-composer.c (e_msg_composer_new_with_message): Set the
	proper account name in account_name, so that the from header is
	set properly.
	
2005-08-22  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer.c (drop_action): Show the bar depending on the 
	number of attachments.
	
	* e-msg-composer-select-file.c (select_attach_response): Show the bar 
	depending on the number of attachments.
	
	** Fixes the bug #313083
	
2005-08-23  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (build_message): only define skip_content: if
	it is used.
	(menu_file_add_attachment_cb): fixed the warning.  Boy, what on
	earth is this thing doing!
	(add_to_bar): fix signature to match code.
	(emcab_add): more warning fixes for bizarre functions.
	(emcab_popup_position): more casting crap

	* e-msg-composer-hdrs.c (addressbook_dialog_response): Remove
	unused.
	(account_can_send): make this static, and define before first use.
	: include missing e-name-selector-entry header.
	(create_headers): fix casts/style
	(e_msg_composer_hdrs_set_to, e_msg_composer_hdrs_set_cc)
	(e_msg_composer_hdrs_set_bcc, e_msg_composer_hdrs_get_to)
	(e_msg_composer_hdrs_get_cc, e_msg_composer_hdrs_get_bcc): remove
	unused str.  lazy addressbook hackers!

2005-07-27  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-msg-composer-select-file.h:
	C99 keyword 'inline' could not been used as variable name.

	Fixes #310198

2005-07-26  Jody Goldberg <jody@gnome.org>

	* Makefile.am: Fix build breakage due to extra whitespace after a
	  backslash.

2005-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: Fix make distcheck issues.

2005-07-21 Devashish Sharma <sdevashish@novell.com>

	* e-message-composer.c: Added Shortcut for Save Draft
	-(Ctrl+Shift+s) and a toolbar button for the same.
	Fixes #219242

2005-07-21  Shreyas Srinivasan  <sshreyas@novell.com>

	* e-msg-composer-hdrs.c (account_can_send): Use camel_object_unref
	instead of g_object_unref.
	
2005-07-15  Shreyas Srinivasan  <sshreyas@novell.com>

	* e-msg-composer-hdrs.c (account_can_send): unref the store which
	was being leaked.
	
2005-07-14  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-hdrs.c (address_button_clicked_cb): add casts in
	previous patch to fix warnings.
	(account_can_send): fix the permission mode name.

2005-07-13 S.Antony Vincent Pandian <santony@gmail.com>

	** See bug #309869

	* e-msg-composer-hdrs.c: moves the focus to the corresponding
	header buttons' entry fields.

2005-07-13  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer-select-file.c (select_attach_response): Don't
	leak the file name here.

	* e-msg-composer.c (build_message): Don't allocate charset twice.

2005-07-13  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (INCLUDES): There are no camel or
	addressbook/backend directories in evolution.

2005-07-11  Srinivasa Ragavan <sragavan@novell.com>

	* Makefile.am: Removed em-attachment* from the build.
	Remains in the CVS, just incase to revert in case of issues.
	Should go away after 2.3.5.

	* e-msg-composer.c (add_inlined_images, build_message):
	(menu_file_close_cb, setup_ui, attach_message, drop_action):
	(e_msg_composer_unrealize, create_composer, handle_mailto):
	(e_msg_composer_add_header): Changed the code to use
	e_attachment_* from em_attachment*

	* e-msg-composer.h: Added removed old header includes

2005-07-10  Shreyas Srinivasan <sshreyas@novell.com>

	* e-msg-composer-hdrs.c: Take into account store
	permissions (Read Only). These are proxy specific as of now.
	
2005-06-03  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer.c (e_msg_composer_attach): Fixed to show the
	attachment bar, when a message is forwarded

2005-06-03  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-hdrs.c: hack up so we dont include
	mail-component.h anymore, since it now relies on files generated
	in mail/

2005-06-03  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer-select-file.c (select_attach_response): Show
	attachment bar when attachments are added

	* e-msg-composer.c (attachment_bar_changed_cb, drop_action),
	(drag_data_received, create_composer): Added support to DnD
	targets to the composer GtkHTML window. Also show the attachment
	bar when there are attachments and hide when all attachments are
	removed.
	 
2005-05-24  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer-attachment.c
	(e_msg_composer_attachment_new_from_mime_part); Fixed a bug, which
	considered forwarded mails as remote files.

2005-05-24  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer-attachment.c (finalise): Fixed a potential memory
	  leak.

2005-05-23  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer-attachment-bar.[c,h]:
	* e-msg-composer-attachment.[c,h]: 
	* e-msg-composer.[c,h]:
	* mail-composer.error.xml: Added attachment of remote URL. The dnd
	  of url, downloads the files and attaches to the mail.

2005-05-16  Srinivasa Ragavan <sragavan@novell.com>

	* e-msg-composer.c (set_editor_text, menu_edit_delete_all_cb)
	(setup_ui, attachment_bar_changed_cb, create_composer)
	(e_msg_composer_new_from_url): Removed the expander in the
	composer attachment and made it visible all the times.
	  
2005-05-16  Not Zed  <NotZed@Ximian.com>

	* moved e-error to e-util.

2005-05-09  Rodney Dawes  <dobey@novell.com>

	* e-msg-composer-select-file.c (get_selector): Set a mnemonic for
	the "Attach" button

2005-05-06  Rodney Dawes  <dobey@novell.com>

	* e-msg-composer-select-file.c (get_selector): Use "Attach" as the
	text for the "Open" action button in the file chooser

2005-05-06  Not Zed  <NotZed@Ximian.com>

	* mail.error.xml: renamed from mail-errors.xml, add i18n tags, fix
	some whitespace issues.  Removed some unecessary translations.

2005-05-05  Radek Doulik  <rodo@site>

	* e-msg-composer.c (e_msg_composer_ignore): removed old unused
	function which was using low level gtkhtml APIs

2005-04-06  Radek Doulik  <rodo@novell.com>

	* e-msg-composer.c (delete_old_signature): block gtkhtml's
	selection so that we don't set primary X selection

	Fixes #36972

2005-04-05  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-msg-composer.c: implement read-receipt functionality.

2005-03-16  Not Zed  <NotZed@Ximian.com>

	** See bug #73347

	* mail-composer-errors.xml: set the default for auto-recover.

2005-03-15  Hans Petter Jansson  <hpj@novell.com>

	* e-msg-composer.c (setup_cut_copy_paste): Set up c/c/p for To: Cc:
	Bcc: and Post To: entries too.

2005-03-03  Not Zed  <NotZed@Ximian.com>

	** See bug #66592

	* e-msg-composer.c (e_msg_composer_get_message_draft): set the uid
	for the x-evolution-account, not the account name, which can
	change.
	(e_msg_composer_new_with_message): find the account by uid first,
	fallback to name search.

2005-03-02  Not Zed  <NotZed@Ximian.com>

	** See bug #66592

	* e-msg-composer.c (e_msg_composer_new_with_message): scan all
	x-evolution-postto headers.  This makes post-to drafts work
	properly.
	(e_msg_composer_new_with_message): change for XEvolution removal.

	* e-msg-composer-hdrs.c (set_pair_visibility): track visibility
	ourselves.
	(e_msg_composer_hdrs_to_message_internal): dont use the visibility
	mask to determine what headers to add, use the actually shown
	list.  Add back the x-evolution-postto headers.

2005-02-15  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer-select-file.c (select_attach_response): Fix
	previous patch for the !USE_GTKFILECHOOSER case.

2005-02-16  Harry Lu  <harry.lu@sun.com>

	Add a11y name for attachment button and bars

	* e-msg-composer-attachment-bar.c:
	(e_msg_composer_attachment_bar_new):

	* e-msg-composer.c (create_composer):

2005-02-10  Not Zed  <NotZed@Ximian.com>

	** See bug #66126.

	* e-msg-composer-attachment-bar.c (destroy): destroy async file
	requesters.
	(add_from_user_response, add_from_user): use async file
	requesters.

	* e-msg-composer.c (save): don't fallback to saveas if the
	filename is null.
	(saveas, saveas_response): new functions for async file
	requesters.
	(menu_file_save_cb): call saveas if we have no filename.
	(menu_file_save_as_cb): call saveas.
	(menu_file_open_cb, file_open_response): change for async file
	loading (which doesn't appear to be used anymore).
	(destroy): destroy async requesters.

	* e-msg-composer-select-file.c (get_selector): make it no longer
	modal, no longer show the window.
	(select_file_response, e_msg_composer_select_file): make it async.
	(select_attach_response, e_msg_composer_select_file_attachments):
	same.

2005-01-24  Hans Petter Jansson  <hpj@novell.com>

	* e-msg-composer-hdrs.c (create_addressbook_entry): Set pointers to the
	contact editor creation functions in the entries, so they can pop up
	said editors.

2005-01-12  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (destroy): initialise composer before using it.
	sigh.

2005-01-05  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (d): turn off debug, setup g private instance
	data structure.
	(setup_ui): activate the composer plugin menu.
	(destroy): clean up the composer plugin menu.
	(class_init, init): init private instance data & plugin menu.

2004-12-24  JP Rosevear  <jpr@novell.com>

	* e-msg-composer.c (setup_signatures_menu): kill warnings
	(map_default_cb): the to entry widget is now just a gtk entry at
	its core, so check for text that way

2004-12-23  Hans Petter Jansson  <hpj@novell.com>

	* Makefile.am (selectnamesdir)
	(IDL_GENERATED)
	(INCLUDES): Remove select-names from here.

	* Composer.idl: Remove Evolution-Addressbook-SelectNames.idl include.

2004-12-22  Hans Petter Jansson  <hpj@novell.com>

	* e-msg-composer-hdrs.c (addressbook_dialog_response)
	(setup_corba)
	(setup_name_selector)
	(address_button_clicked_cb)
	(addressbook_entry_changed)
	(create_addressbook_entry)
	(destroy)
	(e_msg_composer_hdrs_new)
	(destinations_to_name_selector_entry)
	(e_msg_composer_hdrs_set_to)
	(e_msg_composer_hdrs_set_cc)
	(e_msg_composer_hdrs_set_bcc)
	(destination_list_to_destv)
	(e_msg_composer_hdrs_get_to)
	(e_msg_composer_hdrs_get_cc)
	(e_msg_composer_hdrs_get_bcc): Adapt to new ENameSelector.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-attachment-bar.c (emcab_popup): 

	* e-msg-composer.c (drag_data_received): 

2004-12-08  Hans Petter Jansson  <hpj@novell.com>

	* e-msg-composer-hdrs.h: Include <libebook/e-destination.h> from
	evolution-data-server.

2004-12-07  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c: include camel-cipher-context.h so we build if
	nss isn't available.

2004-11-26  JP Rosevear  <jpr@novell.com>

	* e-msg-composer.c (create_composer): get image from icon factory
	directly

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (handle_multipart_encrypted): remove the old
	camel_multipart_encrypted api.

2004-10-28  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (drag_data_received): fix the popup id.

	* e-msg-composer-attachment-bar.c (emcab_popup): added popup doco.

2004-10-27  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (composer_key_pressed): Close on Esc.
	(create_composer): Connect to the key-press-event signal.

2004-10-26  mengjie yu  <meng-jie.yu@sun.com>
	
	fix for bugzilla #44876

	* e-msg-composer-hdrs.c (header_new_recipient, create_headers):
	add access key for Reply_to, From, Subject, To, Cc, Bcc, Post_to

	* e-msg-composer.c (setup_signatures_menu): Add accesss key for
	Signature.

2004-10-19  JP Rosevear  <jpr@novell.com>

	* e-msg-composer.c, e-msg-composer-attachment-bar.c: convert to
	org.gnome hook names

2004-10-08  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (build_message): g_strdup() the gpg/smime keys
	into the recipients list or else we end up free'ing them later
	when we shouldn't. Fixes bug #66703

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (drag_data_received): 
	* e-msg-composer-attachment-bar.c (emcab_popup): e-popup api changes.

2004-10-01  JP Rosevear  <jpr@novell.com>

	* e-msg-composer.c: uses GTKHTML_API_VERSION for the bonobo server
	look up

2004-10-01  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (create_composer): enable ask drop action and
	hook onto drag motion.
	(drag_motion): implement.
	(drop_action): do the work here now.
	(drag_data_received): popup a menu if the action is ask.
	(drop_popup_copy, drop_popup_move, drop_popup_cancel):
	(drop_popup_free): Popup callbacks.

2004-09-30  Kjartan Maraas  <kmaraas@gnome.org>

	* e-msg-composer.c: (autosave_manager_start),
	(autosave_manager_stop), (create_composer): Use non-deprecated
	functions.

2004-08-17  Michael Meeks  <michael@ximian.com>

	* e-msg-composer.c (handle_mailto): handle 'attachment' as
	well, as per Mozilla's mangling, and the new desktop-launch spec.
	[ this was approved months ago, but somehow never got committed ]
	** See bug #65592

2004-09-08  Not Zed  <NotZed@Ximian.com>

        ** See bug #64454.

	* mail-composer-errors.xml: add accelerators to modified message
	dialogue.

2004-08-13  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (e_msg_composer_show_sig_file): set paragraph
	style to normal to avoid signature landing in PRE paragraph

2004-07-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* e-msg-composer-select-file.[ch]: Optionally use GtkFileChooser
	if compiled against Gtk+ >= 2.4.0. (e_msg_composer_select_file):
	added save_mode parameter

	* e-msg-composer.c: use the modified e_msg_composer_select_file()
	function

2004-07-28  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c: Fixes for api changes in mail/ for 61940.

2004-07-23  Radek Doulik  <rodo@ximian.com>

	* listener.c: removed unused static variable listener_vepv

	* added len parameter to set_editor_text,
	e_msg_composer_set_body_text, e_msg_composer_set_pending_body. it
	allows us to send whole buffer (even if it contains \0 in the
	middle) to gtkhtml editor.

2004-07-22  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (set_editor_text): removed body content +
	signature html concatenating and call e_msg_composer_show_sig_file
	instead

	Fixes #59490

2004-07-20  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-attachment.c: include config.h.  See #61395.

2004-09-04  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-*.c: include gnome-i18n.h if required.

2004-08-30  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-attachment-bar.c (emcab_popup): em-popup based
	popup menu to replace the gnome one.
	(popup_menu_event): use new func above.
	(button_press_event): ", some cleanup.

2004-06-18  Not Zed  <NotZed@Ximian.com>

	** Fix for #60387.

	* mail-composer-errors.xml: added an error for failing to retrieve
	to-be-attached messages.

	* e-msg-composer.c (message_rfc822_dnd): remove this, we only want
	to treat it as a real rfc822 message, not a berkeley mailbox.
	(drag_data_received): handle the rfc822 type here, and also the
	new x-uid-list type.
	(attach_message): helper set a description on attached messages.

2004-06-16  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (e_msg_composer_guess_mime_type): clean up the
	code slightly.

	* evolution-composer.c (impl_Composer_set_headers): Fix all the
	strn?casecmp calls.

	* e-msg-composer.c (from_changed_cb, drag_data_received) 
	(is_special_header, e_msg_composer_new_with_message) 
	(handle_mailto, e_msg_composer_new_from_url): as above.

	* e-msg-composer-attachment.c (e_msg_composer_attachment_new): as
	above.

	* e-msg-composer.c (drag_data_received): handle comments in uri
	lists.

2004-06-14  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (create_composer): Don't connect to the
	key_pressed_event.
	(composer_key_pressed): Removed. We don't want to close the
	compose on Escape. To do so would violate the HIG.

2004-06-07  Dan Winship  <danw@novell.com>

	* e-msg-composer.c (pixcache): s/stock_save_as/stock_save-as/

2004-06-04  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (create_composer): Use e_error_run() instead of
	the e_activation_error_dialog() stuff that no longer exists.

2004-06-03  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (e_msg_composer_show_sig_file): always insert
	new paragraph for signature

	Fixes #37601

2004-05-27  Jeffrey Stedfast  <fejj@novell.com>

	* mail-composer-errors.xml: s/${0}/{0}/g

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Add $(error_i18n)

2004-05-25  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (pixcache[]): use e-icon-factory sizes.

	* e-msg-composer-attachment-bar.c (update): if we have a cached
	icon, use it, don't just ignore it!  #58831.

2004-05-19  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't dist the error .h file

2004-05-18  Not Zed  <NotZed@Ximian.com>

	* mail-composer-errors.xml: set the default for exit-unsaved to
	save, as in 1.4.  #57995.

	* e-msg-composer-hdrs.c (post_browser_clicked_cb): fix for folder
	selector api change.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* mail-composer-errors.xml.h: add for translators.

	* mail-composer-errors.xml: renamed from xml.in file.

	* Makefile.am: Fix for i18n build stuff.

2004-05-11  Jeffrey Stedfast  <fejj@novell.com>

	* e-msg-composer.c (build_message): Use CAMEL_EXCEPTION_SYSTEM
	instead of '1', also don't use camel_exception_setv() if we aren't
	using the printf-style arguments. Just use camel_exception_set() -
	safer anyway, since then we don't have to worry about translated
	strings containing printf-style formatters that could break stuff.

2004-05-08  Enver ALTIN <enver.altin@frontsite.com.tr>

	* e-msg-composer.c: Fixing parts of #53466.

2004-05-03  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c: header cleanups.

2004-04-28  Not Zed  <NotZed@Ximian.com>

	** Changed error messages to EError.

2004-04-27  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-attachment-bar.c (update): duh, pass the string
	not the content type to the warning message.  And derrr, print it
	for the actual error case, not the ok case.  Fixes #57680.

2004-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (autosave_load_draft): Only unlink the original
	autosave draft file if we are successful in saving a new copy,
	otherwise don't unlink the file. Fixes bug #57540.

2004-04-23  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-attachment-bar.c (update): fallback to stock
	unknown if we can't ifnd the icon.  #56717.

2004-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (create_composer): Use the E_ICON_SIZE enums
	rather than specifying an absolute pixel size.

2004-04-19  Michael Terry  <mike@mterry.name>

	* e-msg-composer.c: Update the composer to use the icon theme via
	the EIconFactory object in e-util

2004-04-15  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (attach_to_multipart): Same idea
	here as with build_mesage(), don't convert th gconf charset
	setting to the iconv name before setting it on the mime part.

	* e-msg-composer.c (best_charset): Now returns a malloc'd string
	bufefr containing the charset that has NOT been converted to the
	iconv name. This is important in order to avoid using the iconv
	charset name which may or may not necessarily be the IANA blessed
	name.
	(composer_get_default_charset_setting): Changed to always return
	the actual value in the settings (eg. don't return the iconv
	name).
	(build_message): Updated for changes to best_charset(). Set the
	actual charset name as the charset param and then get the
	iconv_charset from that. Use iconv_charset everywhere else.
	(get_file_content): Updated for changes to
	get_default_charset_setting().
	(setup_ui): Same.

2004-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (get_file_content): To be on the safe side
	(even though the real bug behind bug #51924 can't happen here),
	protect against adding a NULL charset filter tot he filtered
	stream.

2004-04-13  Larry Ewing  <lewing@ximian.com>

	* e-msg-composer.c (drag_data_received): accept text/calendar
	drops.

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* e-msg-composer-hdrs.c (set_recipients_from_destv):
	EABDestination -> EDestination.
	(e_msg_composer_hdrs_to_message_internal): same.
	(e_msg_composer_hdrs_set_to): same.
	(e_msg_composer_hdrs_set_cc): same.
	(e_msg_composer_hdrs_set_bcc): same.
	(e_msg_composer_hdrs_get_to): same.
	(e_msg_composer_hdrs_get_cc): same.
	(e_msg_composer_hdrs_get_bcc): same.
	(e_msg_composer_hdrs_get_recipients): same.

	* e-msg-composer-hdrs.h: convert prototypes such that
	EABDestination -> EDestination.

	* e-msg-composer.h: convert prototypes such that EABDestination ->
	EDestination.

	* e-msg-composer.c (destination_list_to_vector_sized): new
	function, ripped from EABDestination, as this code is the only
	consumer.
	(destination_list_to_vector): same.
	(update_auto_recipients): EABDestination -> EDestination.
	(e_msg_composer_new_with_message): same.
	(add_recipients): same.
	(handle_mailto): same.
	(e_msg_composer_set_headers): same.
	(e_msg_composer_get_recipients): same.
	(e_msg_composer_get_to): same.
	(e_msg_composer_get_cc): same.
	(e_msg_composer_get_bcc): same.

	* evolution-composer.c (corba_recipientlist_to_destv):
	EABDestination -> EDestination.
	(impl_Composer_set_headers): same.

2004-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (sig_select_item): Reversed the logic for
	setting the signature menu to "None" (only set it to "None" if a
	signature *isn't* set, doh!)
	(prepare_signatures_menu): Removed. Combined with
	setup_signature_menu().

2004-04-06  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (prepare_signatures_menu): added empty hbox so
	that we have 12pxs between account setting and signature setting
	(set_editor_text): added pad_signature parameter to tell if we
	want to pad signature with <BR> (used when creating new mail, in
	other cases we don't want to pad the signature)

	Fixes #42866

2004-04-02  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (set_editor_text): Revert Radek's last change
	to fix bug #56381.

2004-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (get_signature_html): Fixed some breakage I
	introduced in the changes below.

2004-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c: Updated to use the new signature APIs.
	(signature_added): _()ify the "Autogenerated" signature name.

2004-03-31  Not Zed  <NotZed@Ximian.com>

	* *.[ch]: Fixed missing headers now mail/* doesn't include gtk/*,
	camel/*, and gnome/* for you.

2004-03-29  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (set_editor_text): do not add <br> between text
	and signature

2004-03-22  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (disable_editor): do not set editor
	insensitive, use editable-off command instead

	Fixes #55049

2004-03-22  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer-hdrs.c (post_browser_clicked_cb): exclude
	non-viable folder targets for selection, related to #55089.

2004-03-18  Radek Doulik  <rodo@ximian.com>

	* listener.c (impl_event): delete event: if empty paragraph has
	signature == 1 then set it to 0

	Fixes #55735 (be sure to update gtkhtml as well)

2004-03-17  Bill Zhu  <bill.zhu@sun.com>

	* e-msg_composer-attachment-bar.c: If we select multi-attachments, the
	"properities" menu item in popup icon context menu will be disabled.

	Fixes bug #55299
	
2004-03-07  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (do_exit): If the subject is empty, use
	_("Untitled Message") as the subject instead.

2004-03-05  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #55202

	* e-msg-composer.c (add_recipients): No longer takes a decode
	argument (handle_mailto is the only function that calls it, and
	the decode value always has to be TRUE for mailto).
	(handle_mailto): Updated.

2004-02-27  Bruce Tao <bruce.tao@sun.com>

	* e-msg-composer-attachment-bar.c: add a key-press event handler, 
	with which a little modification to Paolo Borelli's patch.
	 <pborelli@katamail.com> When one attachment is deleted, the 
	icon right after the last deleted one will be focused.

2004-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (set_editor_text): Add a <br> tag between the
	message text and the signature text (makes it nicer looking and
	also fixes bug #53747.

2004-02-17  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (e_msg_composer_unrealize): renamed from unmap

2004-02-13  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (create_composer): get default composer size
	from gconf, hook to unrealize event and save size to gconf
	(e_msg_composer_unmap): new handler, saves composer window size

2004-02-06  Rodney Dawes  <dobey@ximian.com>

	* e-msg-composer-attachment-bar.c: add accel and icon for
	the "remove" item in the popup menu.
	Patch from Paolo Borelli  <pborelli@katamail.com>

2004-02-03  Chris Toshok  <toshok@ximian.com>

	* e-msg-composer.c (e_msg_composer_guess_mime_type): use
	FORCE_SLOW_MIME_TYPE so gnome-vfs actually sniffs the file
	contents before coming up with a mime type.

2004-02-03  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): add widgets/misc

2004-02-02  Not Zed  <NotZed@Ximian.com>

	* evolution-composer.c (impl_Composer_set_body): use
	g_ascii_strcasecmp rather than strcasecmp.

	** See bug #53506, again.

	* e-msg-composer.c (set_editor_text): Add an argument to make
	adding the signature optional.  Also fix a memleak with the sig
	content.
	(e_msg_composer_new_with_type, e_msg_composer_flush_pending_body)
	(handle_mailto, e_msg_composer_set_body_text)
	(e_msg_composer_set_body): Fixed callers for above change
	appropriately.

2004-01-29  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (e_msg_composer_new_with_type): reverted
	radek's patch below, it was already fixed (#53176).  Changed the
	init order though, set_editor_signature only sets the current one,
	it doen'st insert it.

	** See bug #53506.
	
	* e-msg-composer-hdrs.c (e_msg_composer_hdrs_set_post_to_list):
	use a GString to build the result.
	(e_msg_composer_hdrs_set_post_to_base): same here.
	(e_msg_composer_hdrs_set_post_to_base): dont bother copying the
	post_to string.
	(e_msg_composer_hdrs_get_post_to): change the relative-url test to
	":/" rather than "://", so that mbox url's work.

2004-01-27  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (e_msg_composer_new_with_type): set body text
	after setting composer's signature, so that signature is shown

	Fixes #53367

2004-01-28  Not Zed  <NotZed@Ximian.com>

	** See Bug #53176, probably fixes others too.

	* e-msg-composer.c (set_editor_text): When we set the text, always
	add the signature implictly.  Means we don't have to set it
	manually and break changing the file, or hit any races.
	(e_msg_composer_set_body_text): dont call show_sig_file here.

2004-01-14  Not Zed  <NotZed@Ximian.com>

	** See Bug #20017.

	* e-msg-composer.c (create_composer): set the composer to
	unchanged after all setup, some setup (from_changed_cb) will mark
	it changed.
	(create_composer): remove a warning.

	** See Bug #52794.
	
	(e_msg_composer_get_message_draft): save sign/encrypt settings to
	X-Evolution-Format header.
	(e_msg_composer_new_with_message): restore sign/encrypt settings
	from X-Evolution-Format header.
	(e_msg_composer_set_pgp_sign, e_msg_composer_set_pgp_encrypt)
	(e_msg_composer_set_smime_sign, e_msg_composer_set_smime_encrypt):
	Set composer changed if it did.

2004-01-12  JP Rosevear  <jpr@ximian.com>

	* e-msg-composer-hdrs.c (e_msg_composer_hdrs_set_post_to): fix
	compilation error

2004-01-12  Meilof Veeningen  <meilof@wanadoo.nl>

	* e-msg-composer.[ch]: added "View To", "View Post To" menu items,
	made it possible to see both at the same time, new
	e_msg_composer_new_with_type, only visibility info of headers if
	in the visible mask.

	* e-msg-composer.[ch]: replaced folder selection button by entry
	with selection button next to it, enabled multiple folder selection,
	made it possible to see both To and PostTo fields, disabled
	setting the "X-Evolution-PostTo" header.

2004-01-09  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (autosave_manager_query_load_orphans):
	s/unsaved files/unsaved messages/ as per bug #45407.

2004-01-08  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (set_editor_signature): add an assertion for no
	account set.  Discovered from bug #50786.

2004-01-07  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (create_composer): Remove the 6-pixel border
	around the main window. That just looked ugly.

2004-01-07  JP Rosevear <jpr@ximian.com>

	* Makefile.am: missed this - remove disable deprecated flag

2003-12-04  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-hdrs.c (create_headers): Unifdef out the post-to
	code and fix it to use the new folder selection button.
	(e_msg_composer_hdrs_set_post_to): Same.
	(e_msg_composer_hdrs_get_post_to): Same.

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-msg-composer-hdrs.c: Do not #include
	<evolution-folder-selector-button.h>.
	(e_msg_composer_hdrs_set_post_to): #if 0 out for now.
	(e_msg_composer_hdrs_get_post_to): Likewise.

2003-12-02  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-msg-composer.c: Implemented #127527: the attachment bar is
	packed inside an EExpander

2003-12-01  Rodney Dawes  <dobey@ximian.com>

	* e-msg-composer-hdrs.h: Use BASE_VERSION for repo_ids and OAFIIDs

2003-11-11  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (e_msg_composer_set_autosaved): new method to
	wrap autosaved flag setting
	(e_msg_composer_unset_autosaved): ditto
	(e_msg_composer_is_autosaved): new method, says if composer was
	autosaved only
	(autosave_save_draft): unset changed so that we don't autosave all
	the time when anything else than gtkhtml control changed

2003-11-06  Radek Doulik  <rodo@ximian.com>

	* e-msg-composer.c (autosave_save_draft): call gtkhtml's saved
	command to clean is-saved flag, set composer's autosaved flag
	(do_exit): complain if last save was just autosave
	(e_msg_composer_unset_changed): reset autosaved flag
	(save): reset autosaved flag

	* e-msg-composer.h: added autosaved flag, it tells whether last
	save was autosave or regular save, when changed flag is reset the
	autosaved one is reset too

2003-11-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-msg-composer-hdrs.c (create_headers): #if 0 the "post to"
	stuff for now (it requires the global_shell_client and the
	evolution_folder_selector_button which we don't have anymore).

2003-11-26  Chris Toshok  <toshok@ximian.com>

	* e-msg-composer.c (build_message): switch from just checking
	SMIME_SUPPORTED to checking both HAVE_NSS and SMIME_SUPPORTED.

2003-11-26  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: turn on deprecated gtk widgets

2003-11-03  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (build_message): changed to use ciphercontext
	directly to sign the message, no multipart-signed usage.
	(build_message): do the same for multipart/encryption for gpg encrypting.

2003-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-msg-composer-hdrs.h (SELECT_NAMES_OAFIID): Append "_2".

2003-10-31  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (build_message): fix for e-account smime info
	changes.  Also enforce having a signing certificate set in
	preferences before doing any signing.
	(from_changed_cb): handle smime sign/encrypt default for account
	(create_composer): force a from-changed when we start, to properly
	setup signing options.

2003-10-30  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c: Turn on SMIME_SUPPORTED.
	(build_message): move some of the security code around, and fix
	up smime code.

2003-10-08  Chris Toshok  <toshok@ximian.com>

	* evolution-composer.c (corba_recipientlist_to_destv): EDestination =>
	EABDestination, and e_destination => eab_destination.
	(impl_Composer_set_headers): same.

	* e-msg-composer.c (update_auto_recipients): EDestination =>
	EABDestination, and e_destination => eab_destination.
	(e_msg_composer_new_with_message): same.
	(add_recipients): same.
	(handle_mailto): same.
	(e_msg_composer_set_headers): same.
	(e_msg_composer_get_recipients): same.
	(e_msg_composer_get_to): same.
	(e_msg_composer_get_cc): same.
	(e_msg_composer_get_bcc): same.

	* e-msg-composer.h: EDestination => EABDestination, and
	e_destination => eab_destination.

	* e-msg-composer-hdrs.c (set_recipients_from_destv): EDestination
	=> EABDestination, and e_destination => eab_destination.
	(e_msg_composer_hdrs_to_message_internal): same.
	(e_msg_composer_hdrs_set_to): same.
	(e_msg_composer_hdrs_set_cc): same.
	(e_msg_composer_hdrs_set_bcc): same.
	(e_msg_composer_hdrs_get_to): same.
	(e_msg_composer_hdrs_get_cc): same.
	(e_msg_composer_hdrs_get_bcc): same.
	(e_msg_composer_hdrs_get_recipients): same.

	* e-msg-composer-hdrs.h: EDestination => EABDestination, and
	e_destination => eab_destination.

2003-09-26  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (save): Don't blindly claim that the file
	exists and then ask the user if he/she would like to overwrite
	it. First check that the file even exists, if not - then we've got
	a different error. Fixes bug #48759.

	* e-msg-composer-select-file.c (e_msg_composer_select_file): Use
	the proper selector title, otherwise it says "Attach files" when
	we are trying to save a message.

2003-09-24  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (get_default_charset): Same as
	below.

	* e-msg-composer.c (composer_get_default_charset_setting): Handle
	empty-string as the charset value gotten from gconf as this can
	happen. Partial fix for bug #47638.

2003-09-13  Charles Zhang  <charles.zhang@sun.com>

	* e-msg-composer-attachment-bar.c (remove_attachment): Add some
	assertion. Send Close response signal to the properties dialog
	while removeing an attachment.
	* e-msg-composer-attachment-bar.c (remove_selected): Fix a re-
	remove-attachment bug. [#48466]

2003-09-18  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c: updated for
	CamelTransferEncoding namespace changes

	* e-msg-composer.c: updated for CamelTransferEncoding namespace
	changes

2003-09-18  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c:
	* e-msg-composer-attachment.c:
	* e-msg-composer.c: Updated for namespace changes in Camel.

2003-09-17  Not Zed  <NotZed@Ximian.com>

	** Merge in mail-refactor-2-branch

2003-09-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-msg-composer-hdrs.c (header_new_recipient): Make the entry
	non-focusable again.  The right fix for A11Y is to add
	accelerators.

2003-09-11  Federico Mena Quintero  <federico@ximian.com>

	* e-msg-composer.h (EMsgComposer): Added an entry_uic field for a
	BonoboUIComponent for the non-control entries (e.g. the Subject
	line).

	* e-msg-composer.c (create_composer): Set autoactivate to true on
	the HTML control's BonoboControlFrame.
	(setup_ui): Create the composer->entry_uic.
	(destroy): Free the composer->entry_uic.
	(entry_verbs): New array of verbs for the non-control entries.
	Moved the Edit* verbs to here, as they should not be part of the
	main set.
	(composer_entry_focus_in_event_cb): Load
	evolution-composer-entries.xml here for the non-control entries' UI.
	(composer_entry_focus_out_event_cb): Remove the menu items.

2003-09-10  Not Zed  <NotZed@Ximian.com>

	* listener.c (impl_event): We want to use decode to stream for
	attachment parts.

2003-09-08  Not Zed  <NotZed@Ximian.com>

	* e-msg-composer.c (autosave_load_draft): ugh, direct linking to
	evolution-mail suckage.  Should these callbacks just be handled
	internally?
	(handle_multipart_encrypted, handle_multipart_signed)
	(handle_multipart_alternative, handle_multipart)
	(e_msg_composer_new_with_message): Use new em_utils stuff for
	message formatting.

2003-08-22  Antonio Xu  <antonio.xu@sun.com>

	* e-msg-composer-attachment.c (): Connect response signal to
	attachment properties dialog, fix bug #47950.

2003-08-21  Antonio Xu  <antonio.xu@sun.com>

	* Makefile.am (INCLUDES): add EVOLUTION_IMAGESDIR define
	* e-msg-composer.c (create_composer): use EVOLUTION_IMAGESDIR
	and composer icon name to get the path of composer icon.
	[#47781]

2003-08-19  Jeffrey Stedfast  <fejj@ximian.com>

	* Original patch from David Woodhouse, but modified a bit by me.

	* e-msg-composer.c (handle_mailto): Fix insertion of arbitrary
	headers from mailto: links. Ignore From: and Reply-To: headers.

2003-08-13  Lorenzo Gil Sanchez  <lgs@sicem.biz>

	* e-msg-composer-hdrs.c (account_removed_cb): fixed an insulting
	error message. Fixes bug #47413.

2003-08-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (update): This needs to use
	camel_data_wrapper_decode_to_stream() rather than
	write_to_stream(). Also simplify a bit - no sense looping to load
	the pixbuf data into the gdk-pixbuf loader 4K at a time when we
	have the whole thing in a memory buffer already. Once done, unref
	the stream instead of closing it so we don't leak.
	(attach_to_multipart): Use decode_to_stream().

	* e-msg-composer-attachment.c (e_msg_composer_attachment_new):
	Avoid constructing thwe data-wrapper from the stream twice for
	message/rfc822 parts.

2003-07-16  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (attach_to_multipart): don't set
	the rawtext bit anymore.

	* e-msg-composer.c (build_message): Convert the plain part's
	content stream from UTF-8 to whatever charset we want.

2003-07-31  Antonio Xu  <antonio.xu@sun.com>

	* e-msg-composer.c (drag_data_received): add the drop type of
	mozilla browser link to make composer support to handle mozilla
	DnD data.  [#47131]

2003-07-28  Antonio Xu <antonio.xu@sun.com>

	* e-msg-composer-attachment-bar.c  (update): add
	gdk_pixbuf_loader_close to close pix buffer loading.  [#45908]

2003-07-25  Larry Ewing  <lewing@ximian.com>

	* e-msg-composer.c (GNOME_GTKHTML_EDITOR_CONTROL_ID): require the
	new composer control version.

2003-07-17  Michel Daenzer  <michel@daenzer.net>

	* e-msg-composer.c (autosave_manager_query_load_orphans): Set
	default answer of dialog to 'yes' to try and prevent autosaved
	messages from getting lost accidentally.

2003-07-23  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (attach_to_multipart): Revert my
	previous changes here too.

	* e-msg-composer.c (build_message): Revert my previous changes.

2003-07-23  Dan Winship  <danw@ximian.com>

	* bad-icon.xpm: Remove this. It was only used by e-icon-list,
	which is no longer there.

	* composer-marshal.list: Likewise

	* Makefile.am: Update

2003-07-21  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (build_message): Init charset to NULL.

2003-07-21  Dan Winship  <danw@ximian.com>

	* e-msg-composer.c (build_message): Make this work again.

2003-07-17  Maxx Cao  <maxx.cao@sun.com>

	** For bug #46013

	* e-msg-composer-hdrs.c (header_new_recipient): To/cc/bcc buttons
	made focusable.

2003-07-16  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (attach_to_multipart): don't set
	the rawtext bit anymore.

	* e-msg-composer.c (build_message): Convert the plain part's
	content stream from UTF-8 to whatever charset we want.

2003-07-16  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer-attachment-bar.c (popup_menu_event): Fix warnings
	and other breakage introduced by Maxx.

2002-07-14  Maxx Cao  <maxx.cao@sun.com>

	** For bug #45826

	* e-msg-composer-attachment-bar.c (class_init): connect the 
	"popup_menu" signal, so that S-F10 keybinding will work.
	(popup_menu_event): funcion added to handle "popup_menu" (S-F10 key).
	(popup_menu_placement_callback): function added to place the popup 
	menu to the center of attachment icon, in case it is activated by 
	keyboard.
	
2003-07-07  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (e_msg_composer_new_with_message): Updated to
	use camel_strcase_hash/equal.

2003-07-01  Dan Winship  <danw@ximian.com>

	* e-msg-composer-attachment-bar.c (pixbuf_for_mime_type): Gone.
	(update): Use e_icon_for_mime_type instead.

	* Makefile.am (INCLUDES): remove EVOLUTION_IMAGESDIR define

2003-06-25  Antonio Xu  <antonio.xu@sun.com>

	* e-msg-composer.c (handle_mailto): Change file url to absolute
	path. Fixes bug #44065.

2003-07-01  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (autosave_load_draft): Connect to the
	save-draft signal too. Fixes bug #45531.

2003-06-27  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (build_message): Set the rawtext bits for the
	'plain' and 'html' data wrappers to FALSE.

2003-06-19  Larry Ewing  <lewing@ximian.com>

	* listener.c (insert_paragraph_after): free the return value.
	(impl_event): free the return value.

2003-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (best_encoding): Use e_iconv_open/close so that
	we get charset aliasing for free. Fixes bug #44991.

2003-06-16  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #44139.

	* e-msg-composer-hdrs.c (attach_couple): Set the vertical and
	horizontal padding to 3 always.
	(create_from_optionmenu): Change the hbox spacing to 6 pixels.

	* e-msg-composer.c (create_composer): Set the border width around
	the composer's vbox to HIG specification and make the box_spacing
	6 pixels as well.

2003-06-10  Larry Ewing  <lewing@ximian.com>

	* e-msg-composer-hdrs.c (e_msg_composer_hdrs_and_string_free):
	free the structure as well.

2003-06-09  Larry Ewing  <lewing@ximian.com>

	* listener.c (insert_paragraph_before): free the return values.

2003-05-21  Jeffrey Stedfast  <fejj@ximian.com>

	* e-msg-composer.c (composer_get_default_charset_setting): Same as
	the rest.
	(setup_ui): We didn't even seem to be using the gconf client
	here. Removed.
	(e_msg_composer_load_config): Unref the gconf client after we're
	finished.
	(e_msg_composer_new): Same.
	(e_msg_composer_new_post): Here too.
	(e_msg_composer_set_view_from): And here.
	(e_msg_composer_set_view_replyto): And here.
	(e_msg_composer_set_view_cc): Here too.
	(e_msg_composer_set_view_bcc): Again here.

	* e-msg-composer-hdrs.c (create_from_optionmenu): Same as below.
	(e_msg_composer_hdrs_set_from_account): Here too.

	* e-msg-composer-attachment-bar.c (get_default_charset): Unref the
	gconf client.
